SSS_USERMOD(8)

NAME
sss_usermod - modifier un compte utilisateur

SYNOPSIS

sss_usermod [options] LOGIN

DESCRIPTION

sss_usermod modifie le compte défini par LOGIN pour refléter les modifications fournies en ligne de commande.

OPTIONS

-c,--gecos COMMENTAIRE
    Toute chaîne de caractère décrivant l'utilisateur. Souvent utilisé comme champ pour le nom entier de l'utilisateur.

-h,--home HOME_DIR
    Le répertoire personnel du compte utilisateur.

-s,--shell SHELL
    L'interpréteur de commandes de l'utilisateur.

-a,--append-group GROUPS
    Ajouter cet utilisateur aux groupes spécifiés par le paramètre GROUPS. Le paramètre GROUPS est une liste séparée par des virgules de noms de groupes.

-r,--remove-group GROUPS
    Retirer cet utilisateur de groupes spécifiés par le paramètre GROUPS.

-l,--lock
    Verrouiller le compte utilisateur. Il ne pourra plus se connecter.

-u,--unlock
    Déverrouiller le compte utilisateur.

-Z,--selinux-user UTILISATEUR_SELINUX
    L'utilisateur SELinux pour l'identifiant de connexion de l'utilisateur.

--addattr ATTR_NAME_VAL
    Ajouter une paire attribut/valeur. Le format est nom_attribut=valeur.

--setattr ATTR_NAME_VAL
    Définir une paire attribut/valeur. Le format est nom_attribut=valeur. Pour les attributs multi-valués, la commande remplace les valeurs déjà présentes.

--delattr ATTR_NAME_VAL
    Supprimer une paire attribut/valeur. Le format est nom_attribut=valeur.

-?,--help
    Affiche l'aide et quitte.

LE DOMAINE LOCAL

Pour fonctionner correctement, un domaine avec “id_provider = local” doit être créé et SSSD doit s'exécuter.

L'administrateur peut vouloir utiliser les utilisateurs locaux SSSD au lieu des utilisateurs UNIX traditionnels dans les cas où l'imbrication de groupes (cf. sss_groupadd(8)) est nécessaire. Les utilisateurs locaux sont également utiles pour les tests et le développement de SSSD sans avoir à déployer un serveur distant complet. Les outils sss_user * et sss_group * utilisent alors un stockage local de type LDB pour les utilisateurs et les groupes.

VOIR AUSSI

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/